"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_sdk_1 = require("lisk-sdk");
const modules_1 = require("./modules");
exports.getApplication = (genesisBlock, config, options) => {
    const app = lisk_sdk_1.Application.defaultApplication(genesisBlock, config);
    app.registerModule(modules_1.LegacyAccountModule);
    if (options.enableHTTPAPIPlugin) {
        app.registerPlugin(lisk_sdk_1.HTTPAPIPlugin, { loadAsChildProcess: true });
    }
    if (options.enableForgerPlugin) {
        app.registerPlugin(lisk_sdk_1.ForgerPlugin, { loadAsChildProcess: true });
    }
    if (options.enableMonitorPlugin) {
        app.registerPlugin(lisk_sdk_1.MonitorPlugin, { loadAsChildProcess: true });
    }
    if (options.enableReportMisbehaviorPlugin) {
        app.registerPlugin(lisk_sdk_1.ReportMisbehaviorPlugin, { loadAsChildProcess: true });
    }
    return app;
};
//# sourceMappingURL=index.js.map